$(function(){			
$("#img_up").change(function(){
	$("#img_path").html($("#img_up").val());
	 })
//单独设置 用ajax可以洗修改的内容
	$('.listorder,.catname,.cvale,.skid,.aj1,.aj2,.aj3,.aj4,.aj5,.aj6,.aj7,.aj8')
	.mouseover(function(){
	$(this).css("background","#FFFFFF");//设置背景颜色
	})
	.mouseout(function(){
	$(this).css("background","");//设置背景颜色为白
	})
/*
 * 实现ajax点击修改内容
 */
	 $('.listorder,.catname,.cvale,.skid,.aj1,.aj2,.aj3,.aj4,.aj5,.aj6,.aj7,.aj8').click(function(e){								 
		var update_skpo = $(this).attr("skpost"); 
		var update_row = $(this).attr("class");//获取点击的内容 栏目名称 listorder
		var catid = $(this).parent().siblings("td:eq(1)").text();//获取同一行上 第一列中的id值
		var	update_now_text = $(this).text();//获取当前的数据      先保存起来
		$(this).text("");//设置内容为空 
		var input_form = '<input type="text"   value="'+update_now_text+'" size="'+update_now_text.length*2+'"  class="input_form" />' ;
		$(this).parent().append(input_form); //插入 input框
		$(".input_form").focus();
	
//自定义一个div  友好提示修改中
		var loading = '<div id="loading">请等待...</div>';
		$(this).parent().append(loading);
		$('#loading')
			.css({
				  "color" : "red" ,
				  "float" : "left" ,
				  "display" : "none"
				  })
//定义ajax的全局事件
		$(this).ajaxStart(function(){
			$('#loading').show();
			})
		$(this).ajaxStop(function(){
			$('#loading').remove();
			})
//事件交互 当input框失去焦点的时候 提交内容		
		$(".input_form").blur(function(){
			var span_text = $(this).prev(); //取得前面的的标签 即 修改后需要显示的 span
			//判断输内容入是否改变 或者 为空
			if ($(this).attr("value") == update_now_text || $(this).attr("value") == ""){
				 $(span_text).text(update_now_text);
				 $('#loading').remove();
				}
			else{
				$.post(update_skpo+".asp",{
				   action : "attribute", 
				   update_row : update_row,
				   catid : catid ,
				   update_content : $(this).attr("value") 
				   } , function(data, textStatus){
					  $(span_text).text(data); 
				}
			);//end .post
				}
		$(this).remove(); //移除input框
		})//end  function blur
	})// end function click
	
//验证input是否为空 	
	$("form").submit(function(){
		$(".onerror").remove();
		$(":input.required").each(function(){
			if (this.value == ""){
				$(this).parent().append($required);
				}								   
		})
		if ($('.onerror').length > 0){
			return false;
			}else{
			return true;	
			}
	})
	$(":reset").click(function(){
		$(".onerror").remove();
	})
});
 
function getForm(name){return document.forms[name]};function getId(obj){return document.getElementById(obj)};function getName(obj){return document.getElementsByTagName(obj)};function getClass(obj,class_name){var c=getName(obj);var arr=new Array();for(var i=0;i<c.length;i++){if(c[i].className.indexOf(class_name)!=-1){arr.push(c[i])}};return arr}